Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface DefaultSizeAttributes

All Superinterfaces:
  Attributes, EObject, Notifier

All Known Implementing Classes:
  DefaultSizeAttributesImpl

public interface DefaultSizeAttributes
extends Attributes

A representation of the model object 'Default Size Attributes'.

The following features are supported:

- `Width`
- `Height`

See Also:
  `GMFGenPackage.getDefaultSizeAttributes()`
** Generated **
Model:

Method Summary
`int` `getHeight()` Returns the value of the 'Height' attribute.
`int` `getWidth()` Returns the value of the 'Width' attribute.
`void` `setHeight(int value)` Sets the value of the '`Height`' attribute
`void` `setWidth(int value)` Sets the value of the '`Width`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getWidth

    public int getWidth()

  Returns the value of the 'Width' attribute. The default value is `"40"`.

  If the meaning of the 'Width' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Width' attribute.
  See Also:
    `DefaultSizeAttributes.setWidth(int)`, `GMFGenPackage.getDefaultSizeAttributes_Width()`
  ** Generated **
  Model:
    default="40"

### setWidth

    public void setWidth(int value)

  Sets the value of the '`Width`' attribute.

  Parameters:
    `value` - the new value of the 'Width' attribute.
  See Also:
    `DefaultSizeAttributes.getWidth()`
  ** Generated **

### getHeight

    public int getHeight()

  Returns the value of the 'Height' attribute. The default value is `"30"`.

  If the meaning of the 'Height' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Height' attribute.
  See Also:
    `DefaultSizeAttributes.setHeight(int)`, `GMFGenPackage.getDefaultSizeAttributes_Height()`
  ** Generated **
  Model:
    default="30"

### setHeight

    public void setHeight(int value)

  Sets the value of the '`Height`' attribute.

  Parameters:
    `value` - the new value of the 'Height' attribute.
  See Also:
    `DefaultSizeAttributes.getHeight()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.